@media (min-width: 300px) and (max-width: 920px) {

    /*MAIN FLEXES*/

        .presaleTimer {

            position: absolute;
            text-align: center;
            display: inline-block;
            justify-content: center;
            align-items: center;
            z-index: 1;
            background-color: white;
            font-family: "DM Sans", sans-serif;
            font-size: 15px;
            color: rgb(0, 0, 0);
            width: 100%;
            height: 25px;
            line-height: 25px;
            
            

        }
    

        .columnFlex {

            display: grid;
            grid-template-rows: 50vh 30vh;


            

            
            
         
            

            justify-items: center;
            
            align-self: center;

            
            justify-content: center;
            
            
            overflow: visible;
            
            margin-top: 50px;

            
            


        }

        .columnFlex2 {

            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            gap: 5px;
            
            
            

        }

        .img {

            
            width: 100%;
            height: 100%;
            object-fit:contain;
            
            min-width: 0;
            min-height: 0;
            

        }
        
        .firstSection {
            
            display: flex;
            flex-direction: column;
            justify-content: center;
            
            
            
        }

        .text1 {

            font-size: 50px;
            font-family: "Anton", sans-serif;
            font-weight: 400;
            color: white;
            transition: all 1s ease;

        }

        .text2 {

            font-family: "DM Sans", sans-serif;
            font-size: 25px;
            color: white;

        }

        .text3 {

            display: none;
            flex-direction: row;
            gap: 5px;
            font-size: 30px;
            color: white;
            bottom: 1px;
            margin-top: auto;

        }

        .arrows {

            display: flex;
            flex-direction: row;
            position: absolute;
            justify-content: space-between;
            width: 100%;
            padding: 10px;

            z-index: 1;




        }

        .arrows img {

            width: 30px;
            height: 50px;
            cursor: pointer;
            transition: .5s;

            

           

        }

        .arrows img:hover {

            width: 30px;
            height: 50px;
            cursor: pointer;
            transform: scale(1.1);


            

           

        }

        .CTA {

            display: flex;
            justify-content: center;
            align-items: center;
            border: solid 1px;
            border-radius: 50px;
            border-color: #ffffff;
            font-size: 20px;
            font-family: "DM Sans", sans-serif;
            color: white;
            overflow: hidden;
            position: relative;
            margin-top: 10px;
            text-decoration: none;

            width: 140px;
            height: 50px;

            background: linear-gradient(

                to right,
                #202020,
                #3F3F3F


            );

        }

        .follower {

              position: absolute;
                width: 120px;
                height: 120px;
                background: white;
                border-radius: 50%;
                pointer-events: none;
                transform: translate(-50%, -50%) scale(0);
                opacity: 0.2;



        }

        .follower1 {

              position: absolute;
                width: 120px;
                height: 120px;
                background: white;
                border-radius: 50%;
                pointer-events: none;
                transform: translate(-50%, -50%) scale(0);
                opacity: 0.2;


        }

        .span {

            font-family: "DM Sans", sans-serif;
            font-size: 15px;
            color: white;

        }

    /*Section 2*/

        .secondSection {
            
            display: flex;
            
            justify-content: center;

        }

        .colunmFlex3 {

            display: flex;
            flex-direction: column;
            
            
            align-items: center;
            justify-content: center;

            gap: 10px;


        }

        .price_amount {

            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;


        }

        .price {

            font-family: "DM Sans", sans-serif;
            font-size: 35px;
            color: #ffffff;

        }

        .amount {

            font-family: "DM Sans", sans-serif;
            color: #ffffff;

        }

        .para {

            width: 350px;
            font-family: "DM Sans", sans-serif;
            font-size: 25px;
            color: #ffffff;

            transition: color 0.3s ease;

        }

        .checkout1 {

            display: flex;
            justify-content: center;
            align-items: center;
            border: solid 1px;
            border-radius: 50px;
            border-color: #ffffff;
            font-size: 20px;
            font-family: "DM Sans", sans-serif;
            color: white;
            text-decoration: none;
            overflow: hidden;
            margin-top: 10px;


            width: 140px;
            height: 50px;

            background: linear-gradient(

                to right,
                #202020,
                #3F3F3F


            );

        }

        .header {

        display: flex;
        
        width: 100%;
        height: 100px;
        margin-top: 10px;
        
        z-index: 10;
        justify-content: center;
        align-items: center;
        gap: 20px;
        overflow: hidden;


       

        }   

        .header_glass {

            position: fixed;
            display: flex;
            justify-content: center;

            align-items: center;
            gap: 35px;
            border-radius: 100px;
            z-index: 10;
            box-shadow: inset .5px .5px 0 0 rgba(255, 255, 255, 0.765);
            height: 75px;
            overflow: hidden;

            background-color: rgba(42, 42, 42, 0.333);
            width: 90vw;
            margin-top: 10px;
            -webkit-backdrop-filter: brightness(1) blur(1px) url(#myCustomFilter);
            backdrop-filter: brightness(1)
                blur(1px)
                url(#myCustomFilter);




            

        }

        

        .headerImg {

            object-fit: contain;

        }
        

        .headerText {

            transition: 0.5s;
            cursor: pointer;
            height: 100%;
            display: flex;
            align-items: center;




        }

        .headerText:hover {

            transform: scale(1.1);

        }


        .cartBackground {

        width: 100vw;
        height: 100vh;

        overflow-x: hidden;

        z-index: 2;

        position: absolute;

        display: flex;
        justify-content: flex-end;
        

        backdrop-filter: blur(3px);
        -webkit-backdrop-filter: blur(10px); /* Safari */
        background: rgba(255, 255, 255, 0.087);

        pointer-events: none;
        
        

    }

    .cart {

        width: 70vw;
        height: 100vh;

        max-width: 500px;

        background: linear-gradient(

            to left,
            #ffffff,
            #f0f0f0

        );

        display: flex;
        flex-direction: column;
        align-items: center;
        z-index: 1;

        position: relative;

        transform: translateX(100%);
        



    }

    .cartHeader {

        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        width: 85%;
        margin-top: 20px;

    }

    .cartTitle {

        font-family: "DM Sans", sans-serif;
        font-size: 35px;
        font-weight: 600;
        letter-spacing: -1.5px;

    }

    .cartClose {

        cursor: pointer;
        transition: .5s;

    }

    .cartClose:hover {

        transform: scale(1.1);

    }

    .cartItemFlex {

        display: flex;
        flex-direction: column;
        margin-top: 20px;
        gap: 10px;
        width: 85%;

    }

    .cell {

        display: flex;
        flex-direction: row;
        height: 65px;
        
        align-items: center;
        gap: 5px;

        position: relative;

    }

    .cell img {

        height: 65px;
        border: solid 1.5px;
        border-radius: 7px;
        border-color: rgb(213, 213, 213);
        object-fit: contain;

    }

    .divider {

        width: 1px;
        height: 60px;
        background-color: rgba(128, 128, 128, 0.298);

    }

    .subFlex {

        display: flex;
        flex-direction: column;
        gap: 3px;

    }

    .itemName {

        font-family: "DM Sans", sans-serif;
        font-size: 20px;
        font-weight: 600;

    }

    .qAmount {

        

        font-family: "DM Sans", sans-serif;
        font-size: 15px;

    }

    .subFlex1 {

        display: flex;
        flex-direction: column;

    }

    .cartPrice {

        font-family: "DM Sans", sans-serif;
        font-size: 15px;

        position: absolute;
        bottom: 7px;
        right: 0;

        color: #208811;

    }

    .sep {

        width: 95%;
        height: 1px;
        background-color: rgb(182, 182, 182);
        margin-top: 20px;

    }

    .checkout {

        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        width: 95%;
        height: 45px;
        margin-top: 25px;
        background: linear-gradient( to top,
        
            #000000,
            #242424
        
        );

        border-radius: 50px;

        color: white;

        font-family: "DM Sans", sans-serif;
        font-size: 15px;
        font-weight: 300;

        bottom: 75px;

        position: absolute;

        transition: 0.5s;

    }

    .checkout:hover {

        transform: scale(1.01);

    }
        
      
    .load_spinner {

        display: none;

        content: "";

        width: 30px;
        height: 30px;

        border: 2px solid rgb(234, 234, 234);
        border-top-color: rgb(90, 90, 90);
        
        border-radius: 50%;

        animation: load_spinner 1.5s ease infinite;
        
        
    }

    @keyframes load_spinner {
        
        from { transform: rotate(0turn);}
        to {transform: rotate(1turn);}

    }
    
}


@media (min-width: 920px) and (max-width: 2500px) {

    /*MAIN FLEXES*/


     .presaleTimer {

            position: absolute;
            text-align: center;
            display: inline-block;
            justify-content: center;
            align-items: center;
            z-index: 1;
            background-color: white;
            font-family: "DM Sans", sans-serif;
            font-size: 15px;
            color: rgb(0, 0, 0);
            width: 100%;
            height: 25px;
            line-height: 25px;
            
            

        }

        .columnFlex {

            display: grid;
            grid-template-rows: 50vh 30vh;


            

            
            
         
            

            justify-items: center;
            
            align-self: center;

            
            justify-content: center;
            
            
            overflow: visible;
            
            margin-top: 50px;

            
            


        }

        .columnFlex2 {

            display: flex;
            flex-direction: column;
            align-items: center;
            
            gap: 5px;
            
            
            

        }

        .img {

            
            width: 100%;
            height: 100%;
            object-fit:contain;
            
            min-width: 0;
            min-height: 0;
            

        }
        
        .firstSection {
            
            display: flex;
            flex-direction: column;
            justify-content: center;
            
            
            
        }

        .text1 {

            font-size: 50px;
            font-family: "Anton", sans-serif;
            font-weight: 400;
            color: white;
            transition: all 1s ease;

        }

        .text2 {

            font-family: "DM Sans", sans-serif;
            font-size: 25px;
            color: white;

        }

        .text3 {

            display: none;
            flex-direction: row;
            gap: 5px;
            font-size: 30px;
            color: white;
            bottom: 1px;
            margin-top: auto;

        }

        .arrows {

            display: flex;
            flex-direction: row;
            position: absolute;
            justify-content: space-between;
            width: 100%;
            padding: 10px;

            z-index: 1;




        }

        .arrows img {

            width: 30px;
            height: 50px;
            cursor: pointer;
            transition: .5s;

            

           

        }

        .arrows img:hover {

            width: 30px;
            height: 50px;
            cursor: pointer;
            transform: scale(1.1);


            

           

        }

        .CTA {

            display: none;
            justify-content: center;
            align-items: center;
            border: solid 2px;
            border-radius: 50px;
            border-color: #ffffff;
            font-size: 20px;
            font-family: "DM Sans", sans-serif;
            color: white;
            overflow: hidden;
            position: relative;
            margin-top: 10px;
            text-decoration: none;

            width: 140px;
            height: 50px;

            background: linear-gradient(

                to right,
                #BB37FF,
                #CE6FFF


            );

        }

        .follower {

              position: absolute;
                width: 120px;
                height: 120px;
                background: white;
                border-radius: 50%;
                pointer-events: none;
                transform: translate(-50%, -50%) scale(0);
                opacity: 0.2;



        }

        .follower1 {

              position: absolute;
                width: 120px;
                height: 120px;
                background: white;
                border-radius: 50%;
                pointer-events: none;
                transform: translate(-50%, -50%) scale(0);
                opacity: 0.2;


        }

        .span {

            font-family: "DM Sans", sans-serif;
            font-size: 15px;
            color: white;

        }

    /*Section 2*/

        .secondSection {
            
            display: flex;
            
            justify-content: center;

        }

        .colunmFlex3 {

            display: flex;
            flex-direction: column;
            
            align-items: center;
            justify-content: center;
            

            gap: 10px;


        }

        .price_amount {

            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;


        }

        .price {

            font-family: "DM Sans", sans-serif;
            font-size: 35px;
            color: #ffffff;

        }

        .amount {

            font-family: "DM Sans", sans-serif;
            color: #ffffff;

        }

        .para {

            width: 350px;
            font-family: "DM Sans", sans-serif;
            font-size: 25px;
            color: #ffffff;

            transition: color 0.3s ease;

        }

        .checkout1 {

            display: flex;
            justify-content: center;
            align-items: center;
            border: solid 2px;
            border-radius: 50px;
            border-color: #ffffff;
            font-size: 20px;
            font-family: "DM Sans", sans-serif;
            color: white;
            text-decoration: none;
            overflow: hidden;
            margin-top: 10px;


            width: 140px;
            height: 50px;

            background: linear-gradient(

                to right,
                #202020,
                #3F3F3F


            );

        }

       
        .header_glass {

            position: fixed;
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 35px;
            border-radius: 100px;
            z-index: 10;
            box-shadow: inset .5px .5px 0 0 rgba(255, 255, 255, 0.765);
            height: 75px;
            overflow: hidden;

            background-color: rgba(42, 42, 42, 0.333);
            width: 500px;
            margin-top: 10px;
            
            backdrop-filter: brightness(1)
                blur(1px)
                url(#myCustomFilter);

        }

        .headerImg {

            object-fit: contain;

        }
        

        .headerText {

            transition: 0.5s;
            cursor: pointer;
            height: 100%;
            display: flex;
            align-items: center;




        }

        .headerText:hover {

            transform: scale(1.1);

        }
        
    .cartBackground {

        width: 100vw;
        height: 100vh;

        overflow: hidden;
        
        z-index: 2;

        position: absolute;

        display: flex;
        justify-content: flex-end;
        

        backdrop-filter: blur(3px);
        -webkit-backdrop-filter: blur(10px); /* Safari */
        background: rgba(255, 255, 255, 0.087);

        pointer-events: none;
        
        

    }

    .cart {

        width: 70vw;
        height: 100vh;

        max-width: 500px;

        background: linear-gradient(

            to left,
            #ffffff,
            #f0f0f0

        );

        display: flex;
        flex-direction: column;
        align-items: center;
        z-index: 2;

        position: relative;

        transform: translateX(100%);
        



    }

    .cartHeader {

        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        width: 85%;
        margin-top: 20px;

    }

    .cartTitle {

        font-family: "DM Sans", sans-serif;
        font-size: 35px;
        font-weight: 600;
        letter-spacing: -1.5px;

    }

    .cartClose {

        cursor: pointer;
        transition: .5s;

    }

    .cartClose:hover {

        transform: scale(1.1);

    }

    .cartItemFlex {

        display: flex;
        flex-direction: column;
        margin-top: 20px;
        gap: 10px;
        width: 85%;

    }

    .cell {

        display: flex;
        flex-direction: row;
        height: 65px;
        
        align-items: center;
        gap: 5px;

        position: relative;

    }

    .empty {

        font-family: "DM Sans", sans-serif;
        font-size: 20px;
        font-weight: 600;

    }

    .cell img {

        height: 65px;
        border: solid 1.5px;
        border-radius: 7px;
        border-color: rgb(213, 213, 213);
        object-fit: contain;

    }

    .divider {

        width: 1px;
        height: 60px;
        background-color: rgba(128, 128, 128, 0.298);

    }

    .subFlex {

        display: flex;
        flex-direction: column;
        gap: 3px;

    }

    .itemName {

        font-family: "DM Sans", sans-serif;
        font-size: 20px;
        font-weight: 600;

    }

    .qAmount {

        

        font-family: "DM Sans", sans-serif;
        font-size: 15px;

    }

    .subFlex1 {

        display: flex;
        flex-direction: column;

    }

    .cartPrice {

        font-family: "DM Sans", sans-serif;
        font-size: 15px;

        position: absolute;
        bottom: 7px;
        right: 0;

        color: #208811;

    }

    .sep {

        width: 95%;
        height: 1px;
        background-color: rgb(182, 182, 182);
        margin-top: 20px;

    }

    .checkout {

        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        width: 95%;
        height: 45px;
        margin-top: 25px;
        background: linear-gradient( to top,
        
            #000000,
            #242424
        
        );

        border-radius: 50px;

        color: white;

        font-family: "DM Sans", sans-serif;
        font-size: 15px;
        font-weight: 300;

        bottom: 10px;

        position: absolute;

        transition: 0.5s;

    }

    .checkout:hover {

        transform: scale(1.01);

    }


    .load_spinner {

        display: none;

        content: "";

        width: 30px;
        height: 30px;

        border: 2px solid rgb(234, 234, 234);
        border-top-color: rgb(90, 90, 90);
        
        border-radius: 50%;

        animation: load_spinner 1.5s ease infinite;
        
        
    }

    @keyframes load_spinner {
        
        from { transform: rotate(0turn);}
        to {transform: rotate(1turn);}

    }
    
}